-- ModifyTables.sql

SET LOCK MODE TO WAIT;

-- modify PurgeDynData table

DELETE from PurgeDynData WHERE table_name="s2gageradarval";
DELETE from PurgeDynData WHERE table_name="stage3result";
DELETE from PurgeDynData WHERE table_name="s3gridmanip";

INSERT INTO PurgeDynData VALUES("curpc","obstime",84,72);
INSERT INTO PurgeDynData VALUES("curpp","obstime",84,72);
INSERT INTO PurgeDynData VALUES("hourlypc","obsdate",168,72);
INSERT INTO PurgeDynData VALUES("hourlypp","obsdate",168,72);
INSERT INTO PurgeDynData VALUES("rawpc","obstime",360,72);
INSERT INTO PurgeDynData VALUES("rawpp","obstime",360,72);
INSERT INTO PurgeDynData VALUES("rawpother","obstime",360,72);
INSERT INTO PurgeDynData VALUES("arealobs","obstime",1080,72);
INSERT INTO PurgeDynData VALUES("arealfcst","validtime",360,72);

--Modify ShefPe table

INSERT INTO ShefPe VALUES("SB","Blow Snow Sublimtn","in","cm");
INSERT INTO ShefPe VALUES("SE","Avg Snowpack Temp","deg F","deg C");
INSERT INTO ShefPe VALUES("SM","Snowmelt","in","cm");
INSERT INTO ShefPe VALUES("SU","Surf Snow Sublimtn","in","cm");

-- modify VTECevent table

ALTER TABLE VTECevent lock mode (row);

-- modify FpPrevProd table

ALTER TABLE FpPrevProd lock mode (row);

-- modify SSHPConfig table

ALTER TABLE SSHPConfig ADD use_blend char(1);
ALTER TABLE SSHPConfig ADD blend_method char(10);
ALTER TABLE SSHPConfig ADD blend_hours integer;

UPDATE SSHPConfig SET use_blend = "N";
UPDATE SSHPConfig SET blend_method = "DIFF";
UPDATE SSHPConfig SET blend_hours = 72;

ALTER TABLE SSHPConfig MODIFY use_blend char(1) NOT NULL;
ALTER TABLE SSHPConfig MODIFY blend_method char(10) NOT NULL;
ALTER TABLE SSHPConfig MODIFY blend_hours integer NOT NULL;

ALTER TABLE SSHPConfig MODIFY model_pref char(10) NOT NULL;

-- modify UnitGraph table

ALTER TABLE UnitGraph ADD model char(10) BEFORE dur;

UPDATE UnitGraph SET model = "ANY";

ALTER TABLE UnitGraph MODIFY model char(10) NOT NULL;

ALTER TABLE UnitGraph DROP CONSTRAINT unitgraph_pk;

ALTER TABLE UnitGraph ADD CONSTRAINT PRIMARY KEY (lid, area_id, model, dur, ordinal)      
          CONSTRAINT unitgraph_pk;

CREATE INDEX unitgraph_idx ON UnitGraph (lid, area_id, model, dur);

-- copy records from ProcValue table to ArealObs table

insert into ArealObs select * from ProcValue where product_id like
"SSHP%";
