#!/bin/ksh
#
# Name:        convert_hdob4_hdob5.ksh
# Description: Main "worker" script called by start_convert script.
# Created:     Feb 2005           
###################################################################

#
# Make sure SOURCE database exists:
#
print "\nVerifying that database '$DBSOURCE' exists..."

if (echo "select name from sysdatabases"|dbaccess sysmaster|grep $DBSOURCE)
then
        print "Database $DBSOURCE exists."
else
        print "ERROR: Database $DBSOURCE does NOT already exist.\n\nExiting convert_hdob4_hdob5.ksh"
	exit 1;
fi

#===================================================================
print "\nModifying database $DBSOURCE...."
print "***** Modifying  database $DBSOURCE *****" >>$OUTPUTFILE

#===================================================================
print "\nDropping tables in database $DBSOURCE ...."
print "     ***** Dropping tables *****" >>$OUTPUTFILE

dbaccess $DBSOURCE - >>$OUTPUTFILE 2>>$OUTPUTFILE <DropTables.sql
#===================================================================
print "\nAdding tables in database $DBSOURCE ...."
print "     ***** Adding tables *****" >>$OUTPUTFILE

dbaccess $DBSOURCE - >>$OUTPUTFILE 2>>$OUTPUTFILE <AddTables.sql
#===================================================================
print "\nModifying tables in database $DBSOURCE ...."
print "     ***** Modifying tables *****" >>$OUTPUTFILE

dbaccess $DBSOURCE - >>$OUTPUTFILE 2>>$OUTPUTFILE <ModifyTables.sql
dbaccess $DBSOURCE - >>$OUTPUTFILE 2>>$OUTPUTFILE <ModifyTables41.sql
#===================================================================
print "\nAdding 4.1 table in database $DBSOURCE ...."
print "     ***** Adding 4.1 table *****" >>$OUTPUTFILE

dbaccess $DBSOURCE - >>$OUTPUTFILE 2>>$OUTPUTFILE <AddTables41.sql
#===================================================================
print "\nDATABASE TRANSFORMATION COMPLETE"
print "***** DATABASE TRANSFORMATION COMPLETE *****" >>$OUTPUTFILE
